Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services
Class InitializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.turbine.util.TurbineException
                  org.apache.turbine.services.InitializationException

All Implemented Interfaces:
  Serializable

    public class InitializationException

extends TurbineException

Thrown by `Initable` class in case of initialization problems.

Version:
  $Id: InitializationException.java 1066945 2011-02-03 20:27:59Z ludwig $
Author:
  Kevin Burton, Rafal Krzewski
See Also:
  `Initable`, Serialized Form

Constructor Summary
`InitializationException(String msg)` Construct an InitializationException with specified detail message.
`InitializationException(String msg, Throwable t)` Construct an InitializationException with specified detail message and nested Throwable.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializationException

    public InitializationException(String msg)

  Construct an InitializationException with specified detail message.

  Parameters:
    `msg` - The detail message.

### InitializationException

    public InitializationException(String msg,
                                   Throwable t)

  Construct an InitializationException with specified detail message and nested Throwable.

  Parameters:
    `msg` - The detail message.
    `t` - the exception or error that caused this exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.